Subject: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-intent-classification-03

From: Colin Perkins <[email-masked]>
Date: Mon, 20 Sep 2021 20:25:19 +0100

The NMRG chairs have requested that draft-irtf-nmrg-ibn-intent-classification-03 be published as an RFC on the IRTF stream. The IRTF publication process is described in RFC 5743, and comprises a review by the IRSG to ensure technical and editorial quality, followed by a check by the IESG to ensure the work does not conflict with IETF standards activities. 

As IRTF Chair, I perform an initial review of all drafts submitted for publication on the IRTF stream before sending them for detailed review by the IRSG. This note provides my review comments, for discussion.

Result:
* Almost ready

RFC 5743 compliance:
* The draft does not follow the guidelines in RFC 5743

Comments:

* The introduction reads as if this were a standards document rather than a research document. It focusses on what SDOs are doing in the intent-based networking space, but does little to relate the draft to ongoing or open research questions. A taxonomy and classification can be useful for research, but the draft should be clearer about the research goals that it intends to support.

* The 3rd paragraph of the Introduction states “More recently, the IRTF NMRG standardized…”. The IRTF is not a standards development organisation, so this needs to be revised.

* RFC 5843, Section 2.1, requires all IRTF stream documents to include certain statements in the Abstract and Introduction. These seem to be missing from this draft.

* The intent classification is fine as far as it goes, but it’s not clear what's the research contribution or, alternatively, how the classification will support ongoing or future research. The draft would be stronger if it drew such connections.

* Finally, the draft could usefully include a Conclusions section that wraps-up the discussion and relates it to the research objectives of the group.

Colin Perkins
IRTF Chair

---

From: Olga Havel <[email-masked]>
Date: Tue, 21 Sep 2021 10:32:36 +0000

Dear Colin,

Thanks for the review!  We will address your comments and come back to you with the proposed changes.

Best Regards,
Olga

-----Original Message-----
From: Colin Perkins [mailto:[email-masked]] 
Sent: Monday 20 September 2021 20:25
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: IRTF Chair review of draft-irtf-nmrg-ibn-intent-classification-03

Result:
* Almost ready

RFC 5743 compliance:

Comments:

Colin Perkins
IRTF Chair

---

From: Olga Havel <[email-masked]>
Date: Fri, 24 Sep 2021 17:06:00 +0000

Dear Colin,

Here is the summary table with the proposed changes and the updated draft v4. Please let us know if the comments have been addressed to your satisfaction.

Best Regards,

Olga

-----Original Message-----
From: Olga Havel
Sent: Tuesday 21 September 2021 11:33
To: 'Colin Perkins' <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: IRTF Chair review of draft-irtf-nmrg-ibn-intent-classification-03

Dear Colin,

Best Regards,

Olga

-----Original Message-----

To: [email-masked]<mailto:[email-masked]>

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Result:

* Almost ready

RFC 5743 compliance:

Comments:

Colin Perkins

IRTF Chair